#include "defines.h"
#include "aigtext.h"

void reverse_area(int sx,int sy,int wx,int wy,int col)
/* 指定色情報に従ってテキスト画面の領域を反転する */
/* 座標はグラフィック座標 */
{
unint c;
	c=curmode(0);	/* カーソルＯＦＦ */
	if (col&BIT0) txrev(0,sx,sy,wx,wy); else txfill(0,sx,sy,wx,wy,0x0000);
	if (col&BIT1) txrev(1,sx,sy,wx,wy); else txfill(1,sx,sy,wx,wy,0x0000);
	curmode(c);	/* カーソルＯＮ */
}
